'''
    db-patch applies static and dynamic patches to databases using ODBC or
    native connectors.
    Copyright (C) 2012, 2013  Miguel A. Martinez Pinedo

    This library is free software; you can redistribute it and/or
    modify it under the terms of the GNU Lesser General Public
    License as published by the Free Software Foundation; either
    version 2.1 of the License, or (at your option) any later version.

    This library is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
    Lesser General Public License for more details.

    You should have received a copy of the GNU Lesser General Public
    License along with this library; if not, write to the Free Software
    Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 
    02110-1301  USA
'''


VERSION = "0.2"
LICENSE = "LGPLv2.1 or later"

PACKAGES = ['dbpatch',
            'dbpatch/connection',
            'dbpatch/connection/odbc',
            'dbpatch/patch']
BINARIES = ['db-patch', 'db-patch-history']

SHORT_DESCRIPTION = """ Execute static and dinamic SQL patches in
 several databases, storing the SQL generated and executed."""

LONG_DESCRIPTION = """
 This program execute static and dinamic SQL patches in several
 databases. Besides stores the SQL executed, and it provides a command
 line tool for manage the store data (patches and SQL generated).

 *) The static patches are files that contain SQL sentences.
 *) The dinamic patches are python files that can interact with the
 database and generate/execute SQL code dinamically.

 By default the program uses ODBC for connect with the databases;
 However, it also suports native connections

 Besides it is possible define new patches, connections and odbc
 connectors through plugins
"""

AUTHOR = "Miguel Angel Martinez Pinedo"
E_MAIL = "miguel.mpinedo@gmail.com"
URL    = "https://bitbucket.org/mpinedo/db-patch"

