'''
    db-patch applies static and dynamic patches to databases using ODBC or
    native connectors.
    Copyright (C) 2012, 2013  Miguel A. Martinez Pinedo

    This library is free software; you can redistribute it and/or
    modify it under the terms of the GNU Lesser General Public
    License as published by the Free Software Foundation; either
    version 2.1 of the License, or (at your option) any later version.

    This library is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
    Lesser General Public License for more details.

    You should have received a copy of the GNU Lesser General Public
    License along with this library; if not, write to the Free Software
    Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA
    02110-1301  USA
'''

class Format(object):

    NORMAL     = 0
    BOLD       = 1
    DILUTE     = 2
    ITALICS    = 3
    UNDERLINED = 4
    SLOW_BLINK = 5
    FAST_BLINK = 6
    NEGATIVE   = 7


class Intensity(object):

    TEXT_NORMAL_INSTENSITY = 3
    TEXT_STRONG_INSTENSITY = 9
    BG_NORMAL_INSTENSITY   = 4
    BG_STRONG_INSTENSITY   = 10


class Color(object):

    GRAY      = 0
    RED       = 1
    GREEN     = 2
    YELLOW    = 3
    BLUE      = 4
    PURPLE    = 5
    TURQUOISE = 6
    WHITE     = 7


class StrColor(object):

    @staticmethod
    def paint(the_str, color, the_format=Format.NORMAL,
              intensity=Intensity.TEXT_STRONG_INSTENSITY):
        return '%s[%d;%dm%s%s[0m' % (chr(27),
                                     the_format,
                                     (intensity*10) + color,
                                     the_str,
                                     chr(27))
