'''
    db-patch applies static and dynamic patches to databases using ODBC or native
    connectors.
    Copyright (C) 2012, 2013  Miguel A. Martinez Pinedo

    This library is free software; you can redistribute it and/or
    modify it under the terms of the GNU Lesser General Public
    License as published by the Free Software Foundation; either
    version 2.1 of the License, or (at your option) any later version.

    This library is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
    Lesser General Public License for more details.

    You should have received a copy of the GNU Lesser General Public
    License along with this library; if not, write to the Free Software
    Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA
'''


import subprocess

class Command(object):

    def __init__(self, cmd, shell=True):
        self._cmd    = cmd
        self._shell  = shell
        self._stdout = None
        self._stderr = None
        self._status = -1

    def __get_std_out(self):
        return self._stdout

    def __get_std_err(self):
        return self._stderr

    def __get_status(self):
        return self._stderr

    def run(self):
        ps = subprocess.Popen(self._cmd, shell=self._shell,
                              stdout=subprocess.PIPE,
                              stderr=subprocess.PIPE)
        self._stdout, self._stderr = ps.communicate()
        self._status = ps.returncode

        return self._status

    stdout = property(fget=__get_std_out)
    stderr = property(fget=__get_std_err)
    status = property(fget=__get_status)

