'''
    db-patch applies static and dynamic patches to databases using ODBC or native
    connectors.
    Copyright (C) 2012, 2013  Miguel A. Martinez Pinedo

    This library is free software; you can redistribute it and/or
    modify it under the terms of the GNU Lesser General Public
    License as published by the Free Software Foundation; either
    version 2.1 of the License, or (at your option) any later version.

    This library is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
    Lesser General Public License for more details.

    You should have received a copy of the GNU Lesser General Public
    License along with this library; if not, write to the Free Software
    Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA
'''


import dbpatch.connection.odbc as odbc
from dbpatch.loader import Registry


class MySQLQueryBuilder(odbc.OdbcQueryBuilder):

    REGISTRY_ID = 'mysql'
    
    def get_internal_database(self):
        """
        If it is not required to use the internal database for recover
        the list of databases the method should return None. In other
        case, it should return the internal database name.
        """
        return None

    def get_all_databases_query(self):
        return 'SHOW DATABASES'


def register(module_id):
    Registry.register(module_id, MySQLQueryBuilder)
