#!/bin/bash

PYTHON=/usr/bin/python
DESTDIR=/
PROJECT=db-patch
VERSION=$(cat ../VERSION)
TGZ=$PROJECT-$VERSION.tar.gz
DEB_BOX=deb_box

cd ..
BASE_DIR=$(pwd)

# Create tgz
python setup.py sdist --dist-dir=../ --prune
python setup.py clean
rm MANIFEST
find -name '*.pyc' -delete
find -name '*~' -delete

## Debian package creation
install -d $DEB_BOX
mv ../$TGZ $DEB_BOX
cd $DEB_BOX
py2dsc $TGZ

# Customization the generic debian package
cd deb_dist/db-patch-$VERSION/debian
cp ../dist/debian/db-patch.manpages .
cp ../dist/debian/changelog .
cp ../dist/debian/docs .
cp ../dist/debian/COPYRIGHT.debian copyright
rst2man ../doc/man/db-patch.rst > db-patch.1
rst2man ../doc/man/db-patch-history.rst > db-patch-history.1
cd ..

# Requires define the next enviroment variables: DEBFULLNAME and DEBEMAIL
debuild 

# Cleaning ...
cd ..
rm -rf $PROJECT-$VERSION/ $PROJECT-$VERSION.orig/ $BASE_DIR/deb_box/deb_dist/tmp_*
cd ../../

make -C doc/user-guide clean
