import dbpatch.options
from dbpatch.log import LogFactory
import dbpatch.patch
from dbpatch.loader import Registry


class DummyPatch(dbpatch.patch.Patch):

    REGISTRY_ID = 'dummy'

    def __init__(self):
        dbpatch.patch.Patch.__init__(self)
        self._log  = LogFactory().get_logger(DummyPatch.__name__)

    def execute(self, db_name):
        self._log.info('Executing dummy patch')
        return True


def register(module_id):
    Registry.register(module_id, DummyPatch)
