from dbpatch.log import LogFactory
import dbpatch.patch
import dbpatch.patch.python
from dbpatch.loader import Registry


class PyDummyPatch(dbpatch.patch.python.PythonPatch):

    REGISTRY_ID = 'python'

    def __init__(self):
        dbpatch.patch.Patch.__init__(self)
        self._log  = LogFactory().get_logger(PyDummyPatch.__name__)

    def execute(self, db_name):
        self._log.info('Executing pydummy patch')
        return True


def register(module_id):
    Registry.register(module_id, PyDummyPatch)
